"""
----------------------v1.0.0----------------------
  ____                 _      _           _       
 / ___| ___   ___   __| | ___| |__   __ _(_)_ __  
| |  _ / _ \ / _ \ / _` |/ __| '_ \ / _` | | '_ \ 
| |_| | (_) | (_) | (_| | (__| | | | (_| | | | | |
 \____|\___/ \___/ \__,_|\___|_| |_|\__,_|_|_| |_|

------------------Ryan & Teuntje------------------
"""
from helpers.DatabaseHelper import DatabaseHelper
from helpers.MenuHelper import MenuHelper

if __name__ == "__main__":
    # start db connection
    db = DatabaseHelper("goodchain.db")
    db.checkMigrations()

    # start menu
    menu = MenuHelper(db)
    while(True):
        user = menu.runStartMenu()
        
        if user:
            menu.runUserMenu(user)